﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;

namespace EssentialTools2.Models
{
    /// <summary>
    /// 购物车类
    /// </summary>
    public class ShoppingCart
    {
        private IValueCalculator calc;
        public IEnumerable<Product> Products { get; set; }
        public ShoppingCart(IValueCalculator calc)
        {
            this.calc = calc;
        }
        public decimal CalculateProductTotal() {
            return calc.ValueProducts(Products);
        }
    }
}