﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;

namespace EssentialTools2.Models
{
    /// <summary>
    /// 计算器类：继承接口
    /// </summary>
    public class LinqValueCalculator:IValueCalculator
    {
        private IDiscountHelper discounter;
        public LinqValueCalculator(IDiscountHelper discountParam) {
            discounter = discountParam;
        }
        public decimal ValueProducts(IEnumerable<Product> products) {
            return discounter.ApplyDiscount(products.Sum(x=>x.Price));
        }
    }
}